package com.caimei.www.service;

import com.caimei.www.pojo.content.ImageLink;
import com.caimei.www.pojo.JsonModel;
import com.caimei.www.pojo.content.PageFloor;
import com.caimei.www.pojo.content.ProductList;

import java.util.List;
import java.util.Map;

/**
 * 首页服务
 *
 * @author : Charles
 * @date : 2020/6/22
 */
public interface HomeService {
    /**
     * 首页楼层
     */
    List<PageFloor> getHomePageFloor();

    /**
     * 首页轮播图
     */
    JsonModel<List<ImageLink>> getHomeBanners();

    /**
     * 首页左侧广告图
     */
    JsonModel<List<ImageLink>> getAdvertising();

    /**
     * 首页推荐专区
     */
    JsonModel<List<ProductList>> getRecommendProducts();

    /**
     * 首页专题数据
     */
    JsonModel<Map<String, Object>> getHomeTopicData();

}
